#!/bin/sh
#
# CoCompose design language tool
#
# Note: java must be in your PATH variable
#

if [ ! -x ${HOME}/.cocomposerc ]; then
  echo -n "In which directory is CoCompose installed? [`pwd`] "
  COCOMPOSE_HOME=`read`
  if [ "${COCOMPOSE_HOME}" == "" ]; then
    COCOMPOSE_HOME=`pwd`
  fi
  echo "#!/bin/sh" > ${HOME}/.cocomposerc
  echo "export COCOMPOSE_HOME=${COCOMPOSE_HOME}" >> ${HOME}/.cocomposerc
  chmod +x ${HOME}/.cocomposerc
else
  . ${HOME}/.cocomposerc
fi

COCOMPOSE_JAR="cocompose.jar"

cd ${COCOMPOSE_HOME}
java -Xms128m -Xmx768m -jar ${COCOMPOSE_JAR} $*
