import java.awt.Button;
import java.awt.Color;
/**
 * The Breakout bricks that must be eliminated in the game.
 */
public class Brick extends Button implements Bounceable {
  private Color brickColor;
  public Brick (int x, int y, java.awt.Dimension size)
  {
    super ("");
    brickColor = new Color (0, 160, 0);
    setBounds (x, y, size.width, size.height);
    setBackground (brickColor);
    setVisible (true);
    setEnabled (false);
  }
  /**
   * Bounce back the ball and eliminates this brick.
   */
  public void bounces(Bouncer aBouncer) {
    aBouncer.bounceVertical();
    getParent().remove (this);
  }
}