/**
 * 
 */
public abstract class DefaultModelFactory implements ModelFactory {
  /**
   * The concrete create operation for each product.
   */
  public ModelElement createModelElement() {
    return new DefaultModelElement();
  }
  /**
   * The concrete create operation for each product.
   */
  public Namespace createNamespace() {
    return new DefaultNamespace();
  }
}