/**
 * Byte array image. Can be grayscale (8 bpp) or RGB (24 bpp) and has given width and height.
 */
public class RawImage {
  private boolean rgb;
  private byte[] imageData;
  private int height;
  private int width;
  /**
   * Constructs a RawImage.
   * @param rgb When true, is RGB image, else B&W
   * @param width The image width in pixels
   * @param height The image height in pixels
   * @param imageData The image data byte array
   */
  public RawImage(boolean rgb, int width, int height, byte[] imageData) {
    this.rgb = rgb;
    this.width = width;
    this.height = height;
    this.imageData = imageData;
  } //RawImage
  /**
   * Gets the property value
   */
  public int getWidth() {
    return this.width;
  }
  /**
   * Sets the property value
   */
  public void setWidth(int width) {
    this.width = width;
  }
  /**
   * Sets the property value
   */
  public void setHeight(int height) {
    this.height = height;
  }
  /**
   * Gets the property value
   */
  public int getHeight() {
    return this.height;
  }
  /**
   * Sets the property value
   */
  public void setImageData(byte[] imageData) {
    this.imageData = imageData;
  }
  /**
   * Gets the property value
   */
  public byte[] getImageData() {
    return this.imageData;
  }
  /**
   * Sets the property value
   */
  public void setRgb(boolean rgb) {
    this.rgb = rgb;
  }
  /**
   * Gets the property value
   */
  public boolean getRgb() {
    return this.rgb;
  }
}