package Connector;

import java.lang.*;
import java.util.*;
import jasco.runtime.aspect.*;
import jasco.runtime.connector.*;
import jasco.runtime.*;
import AspectObserverExample.*;

public class SetValueNotifyConnector implements Connector {

	private Vector methods = new Vector();

	private Vector combinationStrategies = new Vector();

	private Vector instances = new Vector();

	private static SetValueNotifyConnector myinstance = new SetValueNotifyConnector();

	private boolean isClassAdapter = true;

	private boolean isEnabled = true;

	private Vector cutpoints = new Vector();

	private Vector methodHashtableVector = new Vector();

	private String filename;

	public ObservedSlider ObservedSlider = new ObservedSlider();

	public ObservedSlider_setValueNotify connectSetValue = new AspectObserverExample.ObservedSlider_setValueNotify(ObservedSlider);

	private CutpointElement connectSetValue_cutpoint = new CutpointElement (connectSetValue, new CutpointExecutionElement(false,10000), new CutpointExecutionElement(true,10000), new CutpointExecutionElement(false,10000), "connectSetValue");


	static {

	//Java Code
	}
	static {

	myinstance.connectSetValue._Jasco_setCutpointName("connectSetValue");
	}
	static {

	myinstance.connectSetValue._Jasco_setConnector(myinstance);
	}
	static {

	myinstance.setAdaptOnClasses(true);
	{Hashtable methodHashtable=new Hashtable();
	methodHashtable.put("0", "* AspectObserverExample.Slider.setValue(*)");
	myinstance.methodHashtableVector.addElement(methodHashtable);
	myinstance.methods.addElement("* AspectObserverExample.Slider.setValue(*)");}
	myinstance.cutpoints.addElement(myinstance.connectSetValue_cutpoint);
	myinstance.connectSetValue_cutpoint.setCutpointContext(myinstance.connectSetValue._Jasco_cutpointconstructorRep);
	}

	private static void addCombinationStrategy(CombinationStrategy aStrategy)  {
	
		myinstance.combinationStrategies.addElement(aStrategy);
	
	}


	public void addInstance(Object object)  {
	
		instances.addElement(object);
	
	}


	public void removeInstance(Object object)  {
	
		instances.removeElement(object);
	
	}


	public static SetValueNotifyConnector getConnector()  {
	
		return myinstance;
	
	}


	public boolean adaptOnClasses()  {
	
		return isClassAdapter;
	
	}


	public String getName()  {
	
		return "SetValueNotifyConnector";
	
	}


	public void setAdaptOnClasses(boolean bol)  {
	
		setAdaptOnClassesImpl(bol);
		ConnectorPersistance.saveConnector(this);
	
	}


	public void setAdaptOnClassesImpl(boolean bol)  {
	
		isClassAdapter = bol;
		firePropertyChangeEvent(new HookPropertyChangeEvent(HookPropertyChangeEvent.IS_STATIC,new Boolean(bol)));
	
	}


	public Enumeration getMethods()  {
	
		return methods.elements();
	
	}


	public Hashtable getMethodHashtable(int i)  {
	
		return (Hashtable) methodHashtableVector.elementAt(i);
	
	}


	public void setEnabled(boolean b)  {
	
		setEnabledImpl(b);
		ConnectorPersistance.saveConnector(this);
	
	}


	public void setEnabledImpl(boolean b)  {
	
		isEnabled=b;
		firePropertyChangeEvent(new HookPropertyChangeEvent(HookPropertyChangeEvent.IS_ENABLED,new Boolean(b)));
	
	}


	public void firePropertyChangeEvent(HookPropertyChangeEvent event)  {
	
		Enumeration i = getCutpoints();
		while(i.hasMoreElements()) {
			CutpointElement next = (CutpointElement) i.nextElement();
			next.getCutpoint().globalPropertyChangeEvent(event);
		}
	
	}


	public boolean isEnabled()  {
	
		return isEnabled;
	
	}


	public Enumeration getCutpoints()  {
	
		return cutpoints.elements();
	
	}


	public Enumeration getHooks()  {
	
		return getCutpoints();
	
	}


	public Enumeration getInstances()  {
	
		return instances.elements();
	
	}


	public String getFilename()  {
	
		return filename;
	
	}


	public void setFilename(String filename)  {
	
		this.filename=filename;
	
	}


	public Vector findCutpointForMethod(Object anInstance, RuntimeContext context, JascoMethod aJascoMethod, int startID)  {
	
		Vector results = new Vector();
		if(!isEnabled()) return results;
		if(!adaptOnClasses() && anInstance!=null && !instances.contains(anInstance)) {
			return results;
		}
		for (int i = 0; i < methods.size() ; i++) { 
				CutpointElement element = (CutpointElement) cutpoints.elementAt(i);
				if(element.isApplicable(context,getMethodHashtable(i),aJascoMethod))
					results.addElement(element.transformOrder(startID));
		}
		HookList hooks = new HookList(results);HookList returnlist = verifyCombinations(hooks);return returnlist.getCutpointElements();
	
	}


	public static void load(String filename)  {
	
		ConnectorRegistry.registerConnector("* AspectObserverExample.Slider.setValue(*)", myinstance);
		getConnector().setFilename(filename);
	
	}


	protected HookList verifyCombinations(HookList hooks)  {
	
		Enumeration combinations = combinationStrategies.elements();
		while(combinations.hasMoreElements()) {
			CombinationStrategy strategy = (CombinationStrategy) combinations.nextElement();
			hooks=strategy.validateCombinations(hooks);
		}
		return hooks;
	
	}



}