import java.awt.Button;
import java.awt.Color;
/**
 * The Breakout game paddle to hit the ball.
 */
public class Paddle extends Button implements Bounceable {
  private Color paddleColor;
  private int yPos;
  public Paddle (int x, int y, java.awt.Dimension size)
  {
    super ("");
    paddleColor = new Color (250, 0, 0);
    yPos = y - size.height;
    setBounds (x - (size.width / 2), yPos, size.width, size.height);
    setBackground (paddleColor);
  }
  /**
   * Bounces back the ball.
   */
  public void bounces(Bouncer aBouncer) {
    aBouncer.bounceVertical();
  }
  /**
   * 
   */
  public void move(int xPos) {
    setLocation(xPos, yPos);
  }
}