import java.util.Vector;
/**
 * 
 */
public class DefaultNamespace implements VisitedElement, Namespace, ModelElement {
  private Vector modelElementCollection= new Vector();
  /**
   * Concrete visitor accept implementation
   */
  public void acceptModelVisitor(ModelVisitor aModelVisitor) {
    aModelVisitor.visitDefaultNamespace(this);
  }
  /**
   * Gets the collection of properties
   */
  public Vector getOwnedElements() {
    return modelElementCollection;
  }
  /**
   * Adds an element to the collection of properties
   */
  public void addOwnedElement(ModelElement aModelElement) {
    modelElementCollection.addElement(aModelElement);
  }
  /**
   * Removes an element from the collection of properties
   */
  public void removeOwnedElement(ModelElement aModelElement) {
    modelElementCollection.removeElement(aModelElement);
  }
}