import java.awt.Dimension;
/**
 * Includes main function.
 */
public class ImageProxy extends Graphic {
  private Image aRealImage;
  public ImageProxy() {
    aRealImage = null;
  }
  public static void main (String[] args) {
    ImageProxy ip = new ImageProxy();
    System.out.println("getSize returns " + ip.getSize());
    System.out.println("Setting size to (5,7)");
    ip.setSize(new Dimension(5,7));
    System.out.println("getSize returns " + ip.getSize());
    System.exit(0);
  }
  /**
   * 
   */
  public void setSize(Dimension size) {
    if (aRealImage == null) {
      aRealImage = loadImage();
    }
    aRealImage.setSize(size);
  }
  /**
   * 
   */
  public Dimension getSize() {
    if (aRealImage == null) {
      return super.getSize();
    } else {
      return aRealImage.getSize();
    }
  }
  /**
   * 
   */
  public Image loadImage() {
    System.out.println("Loading image...");
    return new Image();
  }
}