import java.util.Vector;
import java.util.Enumeration;
/**
 * 
 */
public abstract class Slider {
  private Vector observerSliderCollection= new Vector();
  /**
   * Notifies attached observers of a change by invoking update.
   */
  public void notifyObserversSlider() {
    ObserverSlider observer;
    Enumeration obs = getObserversSlider().elements();
    while (obs.hasMoreElements()) {
      observer = (ObserverSlider) obs.nextElement();
      observer.updateSlider(this);
    }
  }
  /**
   * Removes an element from the collection of properties
   */
  public void deleteObserverSlider(ObserverSlider aObserverSlider) {
    observerSliderCollection.removeElement(aObserverSlider);
  }
  /**
   * Adds an element to the collection of properties
   */
  public void addObserverSlider(ObserverSlider aObserverSlider) {
    observerSliderCollection.addElement(aObserverSlider);
  }
  /**
   * Gets the collection of properties
   */
  public Vector getObserversSlider() {
    return observerSliderCollection;
  }
}