import java.awt.Image;
/**
 * Image creation strategy interface.
 */
public interface ImageCreationStrategy {
  /**
   * Creates an Image from a byte array. Assumes a grayscale (8 bpp) or RGB (24 bpp) image of given width and height.
   */
  public abstract Image createImage(RawImage fromImage);
}